CVE-2019-3820

Name
CVE-2019-3820
Description
It was discovered that the gnome-shell lock screen since version 3.15.91 did not properly restrict all contextual actions. An attacker with physical access to a locked workstation could invoke certain keyboard shortcuts, and potentially other actions.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Issue Tracking https://gitlab.gnome.org/GNOME/gnome-shell/issues/851
Exploit https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-3820
Third Party Advisory https://usn.ubuntu.com/3966-1/
Mailing List http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00023.html
Mailing List http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00049.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:gnome:gnome-shell:*:*:*:*:*:*:*:* gnome-shell >= 3.15.91 <= None

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
gnome-shell 3.14-community 40.1-r2 Rasmus Thomsen <oss@cogitri.dev> fixed
gnome-shell edge-community 40.4-r0 Rasmus Thomsen <oss@cogitri.dev> fixed